GETMLST(1)

NAME
getmlst - Download MLST datasets by speciesfrom pubmlst.org.

SYNOPSIS
getmlst [-h] [--repository_url URL] --species NAME [--force_scheme_name]

DESCRIPTION
Download MLST datasets from this site: http://pubmlst.org/data/ by parsing an xml file (http://pubmlst.org/data/dbases.xml).

Data is downloaded for a species determined by the user:

    - profiles (maps STs to allele numbers)

    - numbered sequences for each locus in the scheme

In addition, the alleles are concatenated together for use with SRST2.

A log file is also generated in the working directory, detailing the time, date and location of all files downloaded, as well as the <retrieved> tag which tells us when the XML entry was last updated.

If the species name input by the user matches multiple <species> in the xml file, the script simply reports the possible matches so the user can try again.

OPTIONS

-h, --help
    show this help message and exit

--repository_url URL
    URL for MLST repository XML index

--species NAME
    The name of the species that you want to download (e.g. "Escherichia coli")

--force_scheme_name
    Flage to force downloading of specific scheme name (e.g. "Clostridium difficile")

EXAMPLE
getmlst --species "Escherichia coli#1"

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.